economics

Historical observations, optionally transformed

https://docs.economicsapi.com/endpoints/gethistory
gethttps://api.economicsapi.com/v1/history
curl -X GET "https://api.economicsapi.com/v1/history" \
  -H "Authorization: Bearer sk_live_xxxxxxxxxxxxxxxxxxxx"

Authorization

Authorizationstringheaderrequired

Bearer token. API key from your economicsapi dashboard Format: `Bearer sk_live_xxxxxxxxxxxxxxxxxxxx`.

Query parameters

countrystring | null

ISO3, slug, or group token; comma-listable

indicatorstring | null

kpi_id, slug, or alias; comma-listable

fromstring | null

YYYY or YYYY-MM-DD

tostring | null

YYYY or YYYY-MM-DD

transformstringdefault "none"

none | yoy | mom | log_diff | 3mma

cursorstring | null

next_cursor from the previous page

Response

200Successful Responseapplication/json
dataObservationOut[]required
next_cursorstring | null
401Missing or invalid API keyapplication/json
errorstring
messagestring
request_idstring
422Validation Errorapplication/json
detailValidationError[]
429Rate limit exceededapplication/json
errorstring
messagestring
request_idstring
Response
{
  "data": [
    {
      "series_id": "id_a1b2c3d4",
      "country_id": "id_a1b2c3d4",
      "kpi_id": "id_a1b2c3d4",
      "date": "2026-01-01",
      "value": 0,
      "frequency": "example",
      "obs_status": "A",
      "last_update": "2026-01-01T00:00:00Z"
    }
  ],
  "next_cursor": "example"
}